from enum import Enum


class PaymentGateway(Enum):
    """ Gateway de pagamento. """
    pagarme = 1
    mercadopago = 2


class PaymentMethod(Enum):
    """ Método de pagamento. """
    bank_slip = 1
    bank_transfer = 2
    card = 3
    pix = 4


class PaymentStatus(Enum):
    """ Status para pagamentos. """
    init = 1  # Pagamento inicializado.
    waiting_payment = 2  # Aguardando pagamento.
    refused = 3  # Pagamento recusado.
    rejected = 3  # Mercadopago - Pagamento recusado.
    paid = 4  # Pagamento confirmado.
    approved = 4  # Mercadopago - Pagamento confirmado.


class ProcessType(Enum):
    """ Tipo de valor para processamento. """
    fix = 1
    percentage = 2


class OrderStatus(Enum):
    """ Status para pedidos. """
    recebido = 1  # Pedido recebido com sucesso.
    pagamento_aprovado = 2  # Pagamento foi confirmado.
    approved = 2  # Mercadopago - Pagamento confirmado.
    em_separacao = 3  # Separando itens do pedido.
    em_transporte = 4  # Pedido sendo entregue ao destino.
    pedido_entregue = 5  # Pedido foi entregue.
    recusado = 6  # Pedido foi recusado.
    rejected = 6  # Mercadopago - Pedido recusado.
    em_andamento = 7  # Pedido acabou de ser criado no sistema.